﻿/* Sport Courts page styles */

.sport-courts-page .masthead {
    height: 84vh;
    background-color: #1a3054;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.sport-courts-page .masthead h1 {
    background-color: rgba(25,48,84,.4);
    line-height: 9.6rem !important;
}

.sport-courts-page .body-section hr {
    border-bottom: #1a3054 5px;
}

@media only screen and (max-width: 600px) {
    .sport-courts-page .font-xl {
        font-size: clamp(3.5rem, 20vw, 12rem) !important;
    }
}

/* Sport Courts Alt page specific styles */
.sport-courts-alt-page .masthead {
    height: 84vh;
    background-color: #1a3054;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.sport-courts-alt-page .masthead h1 {
    background-color: rgba(25,48,84,.4);
    line-height: 9.6rem !important;
}

.sport-courts-alt-page .body-section hr {
    border-bottom: #1a3054 5px;
}

.sport-courts-alt-page .cta-image {
    box-shadow: -40px 40px 0px var(--cta-drop-shadow-color);
}

.sport-courts-alt-page .section-masthead {
    background: #1a3054;
    overflow: hidden;
    background: #1a3054; /* fallback color */
    background: -webkit-linear-gradient(rgba(26,48,84,.8), rgba(26,48,84,.8)), var(--section-masthead-bg);
    background: linear-gradient(rgba(26,48,84,.8), rgba(26,48,84,.8)), var(--section-masthead-bg);
    height: 35vh;
}

.sport-courts-alt-page .section-banner {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 780px;
}

@media only screen and (max-width: 600px) {
    .sport-courts-alt-page .font-xl {
        font-size: clamp(3.5rem, 20vw, 12rem) !important;
    }
    
    .sport-courts-alt-page .font-lg {
        font-size: clamp(3.5rem, 20vw, 12rem) !important;
    }
      .sport-courts-alt-page .font-md {
        font-size: 4.1rem !important;
    }
}

/* Sport Courts Home page specific styles */
.sport-courts-home-page .masthead {
    height: 84vh;
    background-color: #1a3054;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.sport-courts-home-page .sport-grid-heading {
    line-height: 1em;
}

.sport-courts-home-page .sport-grid-heading .main-heading {
    letter-spacing: .1em;
}

.sport-courts-home-page .sport-grid-heading .sub-heading {
    font-weight: lighter;
    letter-spacing: .07em;
}

@media only screen and (max-width: 600px) {
    .sport-courts-home-page .font-md {
        font-size: 4.1rem !important;
    }
    
    .sport-courts-home-page .font-lg {
        font-size: 7rem !important;
    }
    
    .sport-courts-home-page .cd-words-wrapper {
        width: 459px !important;
    }
}

@media only screen and (min-width: 601px) and (max-width: 1400px) {
    .sport-courts-home-page .cd-words-wrapper {
        width: 620px !important;
    }
}
